package com.ruoyi.project.ehs.service;

import java.util.List;

import com.ruoyi.project.ehs.domain.TMatterProtect;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2021-09-23
 */
public interface ITMatterProtectService {

    public List<TMatterProtect> queryByIds(String[] ids);

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TMatterProtect selectTMatterProtectById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TMatterProtect> selectTMatterProtectList(TMatterProtect tMatterProtect);

    /**
     * 新增【请填写功能名称】
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 结果
     */
    public int insertTMatterProtect(TMatterProtect tMatterProtect);

    /**
     * 修改【请填写功能名称】
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 结果
     */
    public int updateTMatterProtect(TMatterProtect tMatterProtect);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTMatterProtectByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTMatterProtectById(Long id);
}
